package pt.whatsms.gateway.ui.styles

import android.graphics.Color

val pt.whatsms.gateway.domain.ProcessingState.color: Int
    get() = when (this) {
        pt.whatsms.gateway.domain.ProcessingState.Pending -> Color.parseColor("#FFBB86FC")
        pt.whatsms.gateway.domain.ProcessingState.Processed -> Color.parseColor("#FF6200EE")
        pt.whatsms.gateway.domain.ProcessingState.Sent -> Color.parseColor("#FF3700B3")
        pt.whatsms.gateway.domain.ProcessingState.Delivered -> Color.parseColor("#FF03DAC5")
        pt.whatsms.gateway.domain.ProcessingState.Failed -> Color.parseColor("#FF018786")
    }